jdbm.recman

## Class PageHeader

- java.lang.Object
- - jdbm.recman.PageHeader

All Implemented Interfaces:
  BlockView

    public class PageHeader
    extends Object
    implements BlockView

This class represents a page header. It is the common superclass for all different page views. It contains the following information:

1. 2 bytes: the short block type code
2. 8 bytes: the long block id of the next block in the block list
3. 8 bytes: the long block id of the previous block in the block list
4. 4 bytes: the size of this page

The page header block view hence sees 18 bytes of page header data.

### Field Summary

Fields
`protected BlockIo` `blockIo` the page header block this view is associated with
`protected static short` `SIZE` the size of this page header

### Constructor Summary

Constructors
`protected` `PageHeader(BlockIo blockIo)` Constructs a PageHeader object from a block

### Method Summary

Methods
`protected void` `paranoiaMagicOk()` For paranoia mode
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### SIZE

    protected static final short SIZE

the size of this page header

See Also:
  Constant Field Values

#### blockIo

    protected BlockIo blockIo

the page header block this view is associated with

### Constructor Detail

#### PageHeader

    protected PageHeader(BlockIo blockIo)

Constructs a PageHeader object from a block

Parameters:
  `blockIo` - The block that contains the page header
Throws:
  `IOException` - if the block is too short to keep the page header.

### Method Detail

#### paranoiaMagicOk

    protected void paranoiaMagicOk()

For paranoia mode

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`